Skip to main content
POST
Publish

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

projectId
string
required

The project's id (UUID) or slug — either form is accepted.

queueId
string
required

Body

application/json
body
any
required

JSON message body may not exceed 122,880 bytes; the complete encoded message may not exceed 128,000 bytes.

contentType
string

Application media type. Defaults to application/json.

delaySeconds
integer

Per-message delay, from 0 to 86400 seconds.

idempotencyKey
string

Caller key for safely retrying publication without creating another message.

Maximum string length: 128

Response

Message accepted.

messageId
string
required
acceptedAt
string<date-time>
required